Subject: Re: git http-push and MKCOL error (22/409)

From: Thomas Schlichter <[email-masked]>
Date: Mon, 17 Aug 2009 07:18:15 +0200

Hi,

Am Montag 17 August 2009 06:52:32 schrieb Tay Ray Chuan:
> Hi,
>
> On Sun, Aug 16, 2009 at 10:52 PM, Thomas
>
> Schlichter<[email-masked]> wrote:
> > Steps to reproduce:
>
> before I try this out, I have a few queries:
> >  1. locally set up a git archive:
> >     mkdir dummy.git
> >     cd dummy.git
> >     git init --bare
> >  2. Upload this directory to the server.
> >     I did do this using KDE's dolphin via WebDAV.
> >  3. Clone this remote repository:
> >     git clone https://webdav.smartdrive.web.de/dummy.git my_dummy
>
> You didn't run git update-server-info before doing the clone; cloning
> wouldn't work cos git can't find a info/refs file. Perhaps you did do
> it and unintentionally left it out from your procedure listed here?

Oh, yes, sorry.
I did run it but unintentionally left it out. At least I had no problem with 
clone, it did clone an "empty repository" without a problem. Even during 
bisecting, I never had a problem with pulling from the server, only with 
pushing to it.

> >  4. Create a local commit:
> >     cd my_dummy
> >     touch dummy.c
> >     git commit -a
>
> I assume you want to commit dummy.c?

Yes, indeed...

> But you didn't tell git to track
> it in the first place (git add dummy.c).

I think that was not neccessary,  the parameter "-a" should do it for me...

> >  5. Push this commit up to the remote repository:
> >     git push origin master
>
> I also find it strange that git only pushed 1 object from your git
> push output, when usually there would be a tree, a blob and a commit
> to push for a new commit.

Yes, most of the times git tries to push three objects, and fails with all 
three. As I wrote, during bisecting I was able to commit several times. The 
reported message was the last one failing. Unfortunately git only needed to 
push one object that time. I didn't think it was important if it were three or 
just one object?!

Kind regards,
Thomas Schlichter